/* CSS cho khung hình ảnh */
.image-preview {
  width: 100%;
  padding-top: 70%;
  /* Tỷ lệ 16:9 */
  position: relative;
  border: 1px solid #c4930c;
  /* Đường viền để phân biệt khung hình ảnh */
  margin-bottom: 15px;
  /* Khoảng cách giữa các khung hình ảnh */
}

/* CSS cho ảnh được tải lên */
.image-preview img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  /* Đảm bảo ảnh không bị biến dạng khi thu nhỏ hoặc mở rộng */
}

/* CSS cho nút xóa */
.remove-image-btn {
  margin-top: 10px;
  /* Khoảng cách giữa nút xóa và khung hình ảnh */
}

/* CSS cho khung hình ảnh */
.image-input-preview {
  margin: auto;
  aspect-ratio: 16/9;
  position: relative;
  border: 1px solid #c4930c;
  /* Đường viền để phân biệt khung hình ảnh */
  margin-bottom: 15px;
  /* Khoảng cách giữa các khung hình ảnh */
  box-shadow: inset 0 0 0px 0 rgba(255, 255, 255, 0.3);
  transition: all 0.3s;

  &:hover {
    box-shadow: inset 0 0 100px 0 rgba(0, 0, 0, 0.3), 0 0 20px 0 rgba(0,0,0, 0.5);
  }

  &:active {
    transition: box-shadow 0s;
    box-shadow: inset 0 0 150px 0 rgba(0, 0, 0, 0.5);
  }
}

/* CSS cho ảnh được tải lên */
.image-input-preview img {
  position: absolute;
  margin: 1em;
  top: 0;
  left: 0;
  height: 100%;
  object-fit: cover;
  /* Đảm bảo ảnh không bị biến dạng khi thu nhỏ hoặc mở rộng */
}